$(function () {
  // $('.js-button').click(function () {
  //   $('html, body').animate({
  //     scrollTop: 0
  //   }, 500);

  //   return false;
  // });

  $('a[href^="#"]').click(function () {
    // 「a要素のhref属性が # から始まる要素」をクリックした時

    // 目的地の取得（自身のhref属性を取得）
    var id = $(this).attr('href');

    // 目的地の位置を取得
    var target = $(id).offset();
    // console.log(id);

    // html要素とbody要素にアニメーション
    $('html, body').animate({
      scrollTop: target.top // 目的地の上からの位置
    }, 500);

    return false;
  });
});
